This topic describes how to install the SMC Java SDK.

Prerequisites

JDK 1.6 or later must be installed before you install the SMC Java SDK.

Install the SDK

To use the SMC Java SDK in Maven, you only need to add the corresponding dependencies to the pom.xml file. Add the following content to <dependencies>:

<dependency>
    <groupId>com.aliyun</groupId>
    <artifactId>aliyun-java-sdk-core</artifactId>
    <optional>true</optional>
    <version>4.3.2</version>
</dependency>
<dependency>
    <groupId>com.aliyun</groupId>
    <artifactId>aliyun-java-sdk-smc</artifactId>
    <version>1.0.1</version>
</dependency>